PRO P4FIG7,thi,fig

; IDL program to create Fig.7 - trajectories of
;                  features penetrating into P4,
; from the MANTRACK result files r* and r0ffxy.
; THI - thickness of trajectory plots
; FIG - resulting byte array with the figure

restore,'avep'
restore,'r0ffxy'
for i=1,14 do  restore,'r'+strtrim(i,2)
loadct,0
;window,2,xsiz=606,ysiz=600
window,2,xsiz=406,ysiz=400

ave4=ave4(40:249,40:249)
r0ffxy=r0ffxy-40

OCONT,ave4,ave4,[0,115]

;Trajectory plots

xx=SMSPLINE(REFORM(r1(1,*)),5,6)+r0ffxy(0,0)
yy=SMSPLINE(REFORM(r1(2,*)),5,6)+r0ffxy(1,0)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r2(1,*)),5,11)+r0ffxy(0,1)
yy=SMSPLINE(REFORM(r2(2,*)),5,11)+r0ffxy(1,1)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r3(1,*)),5,8)+r0ffxy(0,2)
yy=SMSPLINE(REFORM(r3(2,*)),5,8)+r0ffxy(1,2)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r4(1,*)),5,7)+r0ffxy(0,3)
yy=SMSPLINE(REFORM(r4(2,*)),5,7)+r0ffxy(1,3)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r5(1,*)),5,6)+r0ffxy(0,4)
yy=SMSPLINE(REFORM(r5(2,*)),5,6)+r0ffxy(1,4)
plots,xx,yy,col=0,thick=thi

;xx=SMSPLINE(REFORM(r6(1,*)),5,4)+r0ffxy(0,5)
;yy=SMSPLINE(REFORM(r6(2,*)),5,4)+r0ffxy(1,5)
xx=r6(1,*)+r0ffxy(0,5)
yy=r6(2,*)+r0ffxy(1,5)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r7(1,*)),5,5)+r0ffxy(0,6)
yy=SMSPLINE(REFORM(r7(2,*)),5,5)+r0ffxy(1,6)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r8(1,*)),5,6)+r0ffxy(0,7)
yy=SMSPLINE(REFORM(r8(2,*)),5,6)+r0ffxy(1,7)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r9(1,*)),5,4)+r0ffxy(0,8)
yy=SMSPLINE(REFORM(r9(2,*)),5,4)+r0ffxy(1,8)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r10(1,*)),5,7)+r0ffxy(0,9)
yy=SMSPLINE(REFORM(r10(2,*)),5,7)+r0ffxy(1,9)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r11(1,*)),5,3)+r0ffxy(0,10)
yy=SMSPLINE(REFORM(r11(2,*)),5,3)+r0ffxy(1,10)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r12(1,*)),5,4)+r0ffxy(0,11)
yy=SMSPLINE(REFORM(r12(2,*)),5,4)+r0ffxy(1,11)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r13(1,*)),5,5)+r0ffxy(0,12)
yy=SMSPLINE(REFORM(r13(2,*)),5,5)+r0ffxy(1,12)
plots,xx,yy,col=0,thick=thi

xx=SMSPLINE(REFORM(r14(1,*)),5,7)+r0ffxy(0,13)
yy=SMSPLINE(REFORM(r14(2,*)),5,7)+r0ffxy(1,13)
plots,xx,yy,col=0,thick=thi

xyouts,22,47,'*',/data,charsiz=1.8,col=0
xyouts,40,38,'*',/data,charsiz=1.8,col=0

fig=tvrd()

end
