pro pix,filename,n

;determina la escala especial en arcsec/pixel de las camaras de La Palma

;filename = fichero 'x.data' o 'y.data' en el que estan las ternas de datos
;	    medidos sobre las imagenes del calibration pattern.
;n = numero de ternas de datos que se le meten desde el fichero filename.

a=fltarr(n) & b=a & c=a
openr,1,filename
for i=0,n-1 do begin
readf,1,aa,bb,cc
a(i)=aa & b(i)=bb & c(i)=cc
print,a(i),b(i),c(i)
endfor
close,1
window,0,xsize=500,ysize=300
ba=(b-a)-mean(b-a)
cb=(c-b)-mean(c-b)
ca=(c-a)-mean(c-a)
mi=min([ba,cb,ca])
ma=max([ba,cb,ca])
plot,ba,linestyle=1,yrange=[mi,ma]
oplot,cb,linestyle=2
oplot,ca

;f=22350.         ;focal del telescopio en mm a 5425 \AA
f=22405.5         ;focal del telescopio en mm a 4308 \AA
mm_seg=f*double(!pi)/(180.*3600.)       ;mm/arcsec

e=2.5/(b-a)/mm_seg                     ;arcsec/pix
ma=max(e)
mi=min(e)
sig=stdev(e,mea)
print,' '
print,'minimo=',mi,' maximo=',ma,' sigma=',sig
print,'estima media (sobre 2.5 mm)=',mea,' arcsec/pixel'
e1=e

e=2.5/(c-b)/mm_seg                     ;arcsec/pix
ma=max(e)
mi=min(e)
sig=stdev(e,mea)
print,' '
print,'minimo=',mi,' maximo=',ma,' sigma=',sig
print,'estima media (sobre 2.5 mm)=',mea,' arcsec/pixel'
e2=e

e=5./(c-a)/mm_seg                      ;arcsec/pix
ma=max(e)
mi=min(e)
sig=stdev(e,mea)
print,' '
print,'minimo=',mi,' maximo=',ma,' sigma=',sig
print,'estima media (sobre 5. mm)=',mea,' arcsec/pixel'
e3=e

mi=min([e1,e2,e3])
ma=max([e1,e2,e3])
window,1,xsize=500,ysize=300
plot,e1,linestyle=1,yrange=[mi,ma],/yst
oplot,e2,linestyle=2
oplot,e3

end
