FUNCTION classif,v
;
; Automatical classification of velocity curves
; Subroutine for INSTVEL4.PRO

n=n_elements(v)
fir=1
las=n-2
mid=n/2
vn=v-min(v)
vn=vn/max(vn)	;normalization to range 0-1

if (abs(vn(fir)-vn(las)) gt 0.5) and (vn(fir)-vn(las) gt 0) then c=(-1)	;\
if (abs(vn(fir)-vn(las)) gt 0.5) and (vn(fir)-vn(las) lt 0) then c=1	;/
if (abs(vn(fir)-vn(las)) le 0.5) and $
	((vn(fir)+vn(las))/2 gt vn(mid)) then c=2			;U
if (abs(vn(fir)-vn(las)) le 0.5) and $
	((vn(fir)+vn(las))/2 lt vn(mid)) then c=(-2)	;^
if (abs(vn(fir)-vn(las)) le 0.5) and $
	((vn(fir)+vn(las))/2 eq vn(mid)) then c=0		;??

RETURN,c
END
