pro corscat,movin,movout

;Correction for scattered light for sunspot movie (in: movin, out: movout).
;Icorr = (Iobs-alf)/(1-alf), where alf = min(frame)-min(series).
;Input array movin is expected to be integer, norm.level = 10000

movout=movin
ami=min(movin)/10000.
print,'abs.minimum =',ami
siz=size(movin)
print,'number of frames:',siz(3)
n=siz(3)-1

for i=0,n do begin
	ima=movin(*,*,i)/10000.
	alf=min(ima)-ami
	ima=(ima-alf)/(1.-alf)
	movout(0,0,i)=nint(ima*10000.)
endfor
end

