PRO merge_res,list,name
;
; To merge results of anal_bat.pro
; INPUTS: LIST = list of input 'r*' save files (string array)
;         NAME = name of output save file (string)
; OUTPUT: save file with merged tug, tuc, tru tables
; Called routine: MERGE
; Example: MERGE_RES,['r16_44_sml','r16_46_sml','r16_90_sml'],'s_16_sml'

n=n_elements(list)
restore,list(0)
tug1=tug
tuc1=tuc
tru1=tru
for i=1,n-1 do begin
  restore,list(i)
  tug1=MERGE(tug1,tug)
  tuc1=MERGE(tuc1,tuc)
  tru1=MERGE(tru1,tru)
endfor
tug=tug1
tuc=tuc1
tru=tru1
save,tug,tuc,tru,file=name
END

